import java.util.function.*;


public class interf_xTest2
{

public static void main(String arg[])
{
class ff implements interf_x
{
public double func(double x)
{return x*x-20;}
}
ff z1=new ff();
System.out.println(z1.func(6.0));
}
}